Page MenuHomePhabricator

Pasting the wikitext to instantiate a category link into VE throws a fatal
Closed, ResolvedPublic1 Story Points

Description

  1. Open any Flow editor in VE mode
  2. Paste a category. For instance: [[category:foo]]
  3. A stacktrace appears in the editor
11:20:03.371 TypeError: range is null
ve.dm.Surface.prototype.setSelection() load.php:178
ve.dm.Surface.prototype.changeInternal() load.php:181
ve.dm.Surface.prototype.change() load.php:180
ve.dm.SurfaceFragment.prototype.change() load.php:184
ve.dm.SurfaceFragment.prototype.insertDocument() load.php:195
insert() load.php:414
jQuery.Callbacks/fire() load.php:45
jQuery.Callbacks/self.fireWith() load.php:46
.Deferred/</deferred[tuple[0]]() load.php:47
ve.ui.DataTransferHandler.prototype.resolve() load.php:546
ve.ui.MWWikitextStringTransferHandler.prototype.process/<() load.php:768
.Deferred/promise.then/</</<() load.php:47
jQuery.Callbacks/fire() load.php:45
jQuery.Callbacks/self.fireWith() load.php:46
.Deferred/</deferred[tuple[0]]() load.php:47
mw.Api.prototype.ajax/xhr<() load.php:338
jQuery.Callbacks/fire() load.php:45
jQuery.Callbacks/self.fireWith() load.php:46
done() load.php:135
.send/callback() load.php:1411
 load.php:178:119

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterWikitext paste: Fail if result has no visible content

Event Timeline

SBisson created this task.Nov 9 2015, 4:28 PM
SBisson raised the priority of this task from to Needs Triage.
SBisson updated the task description. (Show Details)
SBisson added a project: StructuredDiscussions.
SBisson added subscribers: SBisson, Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 9 2015, 4:28 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

The same problem with non-Flow page - checked in betalabs.

Jdforrester-WMF renamed this task from Cannot paste category into editor in VE mode (master, beta, mw.org) to Pasting the wikitext to instantiate a category link into VE throws a fatal.Nov 10 2015, 8:05 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 253815 had a related patch set uploaded (by Esanders):
Wikitext paste: Fail if result has no visible content

https://gerrit.wikimedia.org/r/253815

Esanders claimed this task.Nov 18 2015, 1:46 AM
Jdforrester-WMF closed this task as Resolved.Nov 18 2015, 3:33 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 253815 merged by jenkins-bot:
Wikitext paste: Fail if result has no visible content

https://gerrit.wikimedia.org/r/253815